///<reference path="../.d.ts"/>
"use strict";
require("../bootstrap");
$injector.require("messages", "./messages/messages");
$injector.require("logger", "./appbuilder/proton-logger");
var options_1 = require("../options");
$injector.require("staticConfig", "./appbuilder/proton-static-config");
$injector.register("mobilePlatformsCapabilities", {});
$injector.register("config", {});
$injector.register("analyiticsService", {});
$injector.register("options", $injector.resolve(options_1.OptionsBase, { options: {}, defaultProfileDir: "" }));
$injector.requirePublicClass("deviceEmitter", "./appbuilder/device-emitter");
$injector.requirePublicClass("deviceLogProvider", "./appbuilder/device-log-provider");
var errors_1 = require("../errors");
errors_1.installUncaughtExceptionListener();
$injector.register("deviceAppDataProvider", {
    createFactoryRules: function () {
        return {
            Android: {
                vanilla: ""
            },
            iOS: {
                vanilla: ""
            },
            WP8: {
                vanilla: ""
            }
        };
    }
});
